Name:        monofur-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     Tobias-B-Koehler
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Monofur.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 MonofurNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonofurNerdFont-Bold.ttf
install -Dm644 MonofurNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonofurNerdFontMono-Bold.ttf
install -Dm644 MonofurNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonofurNerdFontPropo-Bold.ttf
install -Dm644 MonofurNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonofurNerdFont-Italic.ttf
install -Dm644 MonofurNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonofurNerdFontMono-Italic.ttf
install -Dm644 MonofurNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonofurNerdFontPropo-Italic.ttf
install -Dm644 MonofurNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonofurNerdFont-Regular.ttf
install -Dm644 MonofurNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonofurNerdFontMono-Regular.ttf
install -Dm644 MonofurNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/MonofurNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/MonofurNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/MonofurNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/MonofurNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/MonofurNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/MonofurNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/MonofurNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/MonofurNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/MonofurNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/MonofurNerdFontPropo-Regular.ttf
%license LICENSE.txt
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
